Name:		poezio
Version:	0.14
Release:    1%{?dist}
Summary:	IRC-like jabber (XMPP) console client

License:	GPLv3+
URL:		http://poez.io
Source0:    https://lab.louiz.org/%{name}/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch0:     0001-plugin_e2ee-log-JID-when-no-FPs-can-be-found.patch
Patch1:     0002-plugin_e2ee-fingerprint-command-defaults-to-ownjid-in-MucTab.patch
Patch2:     0003-plugin_e2ee-ignore-incorrect-mypy-error.patch
Patch3:     0004-plugin_e2ee-pass-on-own-key-information-to-plugin.patch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	gcc
BuildRequires:  python3-pytest
BuildRequires:  libidn-devel
BuildRequires:  python3-slixmpp
BuildRequires:  python3-pyasn1-modules
BuildRequires:  python3-cffi
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
Requires:       python3-slixmpp
Requires:       python3-inotify

%description
A jabber (XMPP) console client that aims at being similar to popular IRC
clients such as Irssi or Weechat. Its main goal is to let the user
connect to the Jabber network and join chat rooms without requiring any
registration.



%package    doc
Summary:    Documentation for Poezio
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description doc
A jabber (XMPP) console client that aims at being similar to popular IRC
clients such as Irssi or Weechat. Its main goal is to let the user
connect to the Jabber network and join chat rooms without requiring any
registration.

This package contains documentation in HTML format.



%prep
%setup -n %{name}-v%{version}
%patch 0 -p1
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1


%build
%py3_build
rm -rf doc/source/theme/sphinx_rtd_theme/
pushd doc/
make html
popd # doc/


%install
%py3_install

rm -rf %{buildroot}%{_pkgdocdir}/source/

rm -f %{buildroot}%{_datadir}/%{name}/{CHANGELOG,COPYING,README.rst}
rmdir %{buildroot}%{_datadir}/%{name}

rm -f %{buildroot}%{_pkgdocdir}/html/.buildinfo


%check
%pytest



%files
%license COPYING
%doc CHANGELOG README.rst
%{_bindir}/%{name}
%{_bindir}/%{name}_logs
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}_logs.1*
%{_datadir}/applications/io.poez.Poezio.desktop
%{_datadir}/metainfo/io.poez.Poezio.appdata.xml
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}_plugins/
%{python3_sitearch}/%{name}_themes/
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info/


%files doc
%{_pkgdocdir}/html/



%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-1
- initial build
